Up

# NSTabViewItem

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

Copyright: (C) 2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTabViewItem class
2. Software documentation for the NSTabViewItem(GNUstep) category

# Software documentation for the NSTabViewItem class

## NSTabViewItem : NSObject

> Declared in:
>   AppKit/NSTabViewItem.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -_setTabState:
- -_setTabView:
- -_tabRect
- -_truncatedLabel
- -color
- -drawLabel:inRect:
- -identifier
- -initWithIdentifier:
- -initialFirstResponder
- -label
- -setColor:
- -setIdentifier:
- -setInitialFirstResponder:
- -setLabel:
- -setView:
- -sizeOfLabel:
- -tabState
- -tabView
- -view

### color

- (NSColor*) color;
Availability: OpenStep
Description forthcoming.

### drawLabel: inRect:

- (void) drawLabel: (BOOL)shouldTruncateLabel inRect: (NSRect)tabRect;
Availability: OpenStep
Description forthcoming.

### identifier

- (id) identifier;
Availability: OpenStep
Description forthcoming.

### initWithIdentifier:

- (id) initWithIdentifier: (id)identifier;
Availability: OpenStep
Description forthcoming.

### initialFirstResponder

- (id) initialFirstResponder;
Availability: OpenStep
Description forthcoming.

### label

- (NSString*) label;
Availability: OpenStep
Description forthcoming.

### setColor:

- (void) setColor: (NSColor*)color;
Availability: OpenStep
Description forthcoming.

### setIdentifier:

- (void) setIdentifier: (id)identifier;
Availability: OpenStep
Description forthcoming.

### setInitialFirstResponder:

- (void) setInitialFirstResponder: (NSView*)view;
Availability: OpenStep
Description forthcoming.

### setLabel:

- (void) setLabel: (NSString*)label;
Availability: OpenStep
Description forthcoming.

### setView:

- (void) setView: (NSView*)view;
Availability: OpenStep
Description forthcoming.

### sizeOfLabel:

- (NSSize) sizeOfLabel: (BOOL)shouldTruncateLabel;
Availability: OpenStep
Description forthcoming.

### tabState

- (NSTabState) tabState;
Availability: OpenStep
Description forthcoming.

### tabView

- (NSTabView*) tabView;
Availability: OpenStep
Description forthcoming.

### view

- (NSView*) view;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSTabViewItem Class

### _color

@protected NSColor* _color;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _first_responder

@protected NSView* _first_responder;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _ident

@protected id _ident;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _label

@protected NSString* _label;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _rect

@protected NSRect _rect;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _state

@protected NSTabState _state;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tabview

@protected NSTabView* _tabview;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _view

@protected NSView* _view;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSTabViewItem(GNUstep) category

## NSTabViewItem(GNUstep)

> Declared in:
>   AppKit/NSTabViewItem.h

Availability: OpenStep
Description forthcoming.
Method summary

- -_setTabState:
- -_setTabView:
- -_tabRect
- -_truncatedLabel

### _setTabState:

- (void) _setTabState: (NSTabState)tabState;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _setTabView:

- (void) _setTabView: (NSTabView*)tabView;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _tabRect

- (NSRect) _tabRect;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _truncatedLabel

- (NSString*) _truncatedLabel;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up